Package org.gradle.api.artifacts.result

## Interface UnresolvedArtifactResult

- All Superinterfaces:
    `ArtifactResult`

      public interface UnresolvedArtifactResult
      extends ArtifactResult

  An artifact that could not be resolved.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Throwable` | `getFailure()` | The failure that occurred when the artifact was resolved.

    - ### Methods inherited from interface org.gradle.api.artifacts.result.ArtifactResult

      `getId, getType`

- - ### Method Detail

    - #### getFailure

          java.lang.Throwable getFailure()

      The failure that occurred when the artifact was resolved.